

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.33. vector_size &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.15.34. vector_slice" href="vector_slice.html" />
    <link rel="prev" title="7.15.32. vector_new" href="vector_new.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/functions/vector_size.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="vector_slice.html" title="7.15.34. vector_slice"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="vector_new.html" title="7.15.32. vector_new"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.33. </span><code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="vector-size">
<h1><span class="section-number">7.15.33. </span><code class="docutils literal notranslate"><span class="pre">vector_size</span></code><a class="headerlink" href="#vector-size" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.33.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 5.0.3.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">vector_size</span></code> returns the value of vector column size.</p>
<p>To enable this function, register <code class="docutils literal notranslate"><span class="pre">functions/vector</span></code> plugin by
the following command:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/vector
</pre></div>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.15.33.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">vector_size</span></code> requires one argument - <code class="docutils literal notranslate"><span class="pre">target</span></code>.</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>vector_size(target)
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.33.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is a schema definition and sample data.</p>
<p>Sample schema:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Memos TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Memos tags COLUMN_VECTOR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>Sample data:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Memos
[
{&quot;_key&quot;: &quot;Groonga&quot;,          &quot;tags&quot;: [&quot;Groonga&quot;]},
{&quot;_key&quot;: &quot;Rroonga&quot;,          &quot;tags&quot;: [&quot;Groonga&quot;, &quot;Ruby&quot;]},
{&quot;_key&quot;: &quot;Nothing&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 3]
</pre></div>
</div>
<p>Here is the simple usage of <code class="docutils literal notranslate"><span class="pre">vector_size</span></code> function which returns tags and size - the value of <code class="docutils literal notranslate"><span class="pre">tags</span></code> column and size of it.</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select Memos --output_columns &#39;tags, vector_size(tags)&#39;
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;tags&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;vector_size&quot;,
#           null
#         ]
#       ],
#       [
#         [
#           &quot;Groonga&quot;
#         ],
#         1
#       ],
#       [
#         [
#           &quot;Groonga&quot;,
#           &quot;Ruby&quot;
#         ],
#         2
#       ],
#       [
#         [],
#         0
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.15.33.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>There is only one required parameter.</p>
<div class="section" id="target">
<h3><span class="section-number">7.15.33.4.1. </span><code class="docutils literal notranslate"><span class="pre">target</span></code><a class="headerlink" href="#target" title="Permalink to this headline">¶</a></h3>
<p>Specifies a vector column of table that is specified by <code class="docutils literal notranslate"><span class="pre">table</span></code> parameter in <code class="docutils literal notranslate"><span class="pre">select</span></code>.</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.33.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">vector_size</span></code> returns the value of target vector column size.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.33. <code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.33.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.15.33.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.15.33.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.15.33.4. Parameters</a><ul>
<li><a class="reference internal" href="#target">7.15.33.4.1. <code class="docutils literal notranslate"><span class="pre">target</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.15.33.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="vector_new.html"
                        title="previous chapter"><span class="section-number">7.15.32. </span><code class="docutils literal notranslate"><span class="pre">vector_new</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="vector_slice.html"
                        title="next chapter"><span class="section-number">7.15.34. </span><code class="docutils literal notranslate"><span class="pre">vector_slice</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="vector_slice.html" title="7.15.34. vector_slice"
             >next</a> |</li>
        <li class="right" >
          <a href="vector_new.html" title="7.15.32. vector_new"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.33. </span><code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>